<?php

namespace Ignite\Core\Events\Menus;

use Ignite\Core\Models\Menu\Manager;

class UserMenuPreCompile
{
    /** @var Manager */
    private $manager;

    /**
     * MenuPreCompile constructor.
     *
     * @param Manager $manager
     */
    public function __construct(Manager $manager)
    {
        $this->manager = $manager;
    }

    /**
     * Get the manager class.
     *
     * @return Manager
     */
    public function getManager()
    {
        return $this->manager;
    }
}
